/*
 * Copyright 2004-2011 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.teeda.core.unit;

import org.seasar.teeda.core.mock.MockFacesContext;

/**
 * @author manhole
 */
public class TeedaTestCaseTest extends TeedaTestCase {

    public void testFacesContext_responseComplete() throws Exception {
        final MockFacesContext context = getFacesContext();
        assertEquals(false, context.getResponseComplete());
        context.responseComplete();
        assertEquals(true, context.getResponseComplete());
    }

    public void testFacesContext_renderResponse() throws Exception {
        final MockFacesContext context = getFacesContext();
        assertEquals(false, context.getRenderResponse());
        context.renderResponse();
        assertEquals(true, context.getRenderResponse());
    }

}
